Subject: Re: bug#42572: 28.0.50; [native-comp] Natively compiled function signatures do not expose the original argument symbols

From: Andrea Corallo <[email-masked]>
Date: Mon, 31 Aug 2020 19:20:59 +0000

Ihor Radchenko <[email-masked]> writes:

> I have noticed that "Signature" of **some** natively compiled functions
> in help buffer do not show the original arguments.
> Example:
>
>> s-format is a natively compiled function defined in s.el.
>
>> Signature
>> (s-format ARG1 ARG2 &optional ARG3)
>> 
>> Documentation
>> Format TEMPLATE with the function REPLACER.
>> ...
>
> The original definition is
>
>> (defun s-format (template replacer &optional extra)
>
> This does not happen with all the functions though.
>
> Best,
> Ihor

I see what's wrong here, these apply to compiled dynamic code.  I'll
come with the fix.

Thanks

  Andrea